Home Upgrade your rails app from rails-4.2.5 to rails 4.2.10
Reply: 0

Upgrade your rails app from rails-4.2.5 to rails 4.2.10

user5783
1#
user5783 Published in September 20, 2018, 12:45 pm

I am trying to upgrade my rails app to rails version 4.2.10 from rails version 4.2.5 . I am using react for the front end. What I did was: First I remove the line gem 'rails', '~> 4.2.5' from gemfile. Second add the line gem 'rails', '~> 4.2.10' to gemfile. Then created a new gemset (gemset create app_name_rails_4.2.10) gemset use app_name_rails_4.2.10. Deleted the gemfile.lock Then run bundle install.

After that when I start the serever ,

I am getting error in console is ----- Response to preflight request doesn't pass access control check: The value of the 'Access-Control-Allow-Credentials' header in the response is '' which must be 'true' when the request's credentials mode is 'include'.

share|improve this question
  • You shouldn't have deleted Gemfile.lock. Instead, you should perform bundle update rails to update Rails to last patch. – Marek Lipka Feb 6 at 7:37
  • Thanks @MarekLipka. This time I did not deleted the Gemfile.lock. It worked. Thank you. – Sourabh Banka Feb 6 at 7:58

1 Answer 1

active oldest votes
up vote 0 down vote accepted
You need to login account before you can post.

About| Privacy statement| Terms of Service| Advertising| Contact us| Help| Sitemap|
Processed in 0.323991 second(s) , Gzip On .

© 2016 Powered by mzan.com design MATCHINFO